const app = getApp();
import WxValidate from '../../utils/wxValidate';
import { isuse } from '../../utils/dict'
Page({
    data: {
        frameStyle: { useTop: true, name: '信息管理', leftArrow: true, useBar: false },
        form: {},
        // 裁判信息
        refereeList: [],
        // 是否启用
        isuseList: isuse
    },
    initValidate() {
        const rules = { name: { required: true }, is_use: { required: true } }
        // 验证字段的提示信息，若不传则调用默认的信息
        const messages = { name: { required: '请输入场地名称' }, is_use: { required: '请选择是否启用' } };
        this.WxValidate = new WxValidate(rules, messages)
    },
    back: function () {
        wx.navigateBack({
            delta: 1,
        })
    },
    // 选择裁判
    referee_idChange: function (e) {
        const that = this;
        let index = e.detail.value;
        let value = that.data.refereeList[index];
        that.setData({ 'form.referee_id': value.openid });
        that.setData({ 'form.referee_name': value.name });
    },
    // 是否使用
    is_useChange: function (e) {
        const that = this;
        let index = e.detail.value;
        let value = that.data.isuseList[index];
        that.setData({ 'form.is_use': value.value });
    },
    toSubmit: async function (e) {
        const that = this;
        const form = that.data.form;
        const params = e.detail.value;
        if (!this.WxValidate.checkForm(params)) {
            const error = this.WxValidate.errorList[0];
            wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
            return false
        } else {
            let arr;
            if (form.id) arr = await app.$post(`/newCourt/api/ground/${form.id}`, params);
            else arr = await app.$post(`/newCourt/api/ground`, params);
            if (arr.errcode == '0') { wx.showToast({ title: `维护信息成功`, icon: 'success', duration: 2000 }); that.back() }
            else { wx.showToast({ title: `${arr.errmsg}`, icon: 'error', duration: 2000 }) }
        }
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        console.log(options);
        //验证规则函数
        that.initValidate();
    },
    // 监听用户是否登录
    watchLogin: async function () {
        const that = this;
        // 监听用户是否登录，
        // wx.getStorage({
        //     key: 'user',
        //     success: async res => {
        //         // if (res.data) wx.redirectTo({ url: '/pages/home/index' })
        //     },
        //     fail: async res => {
        //         // wx.redirectTo({ url: '/pages/index/index' })
        //     }
        // })
        // 查询裁判信息
        let arr;
        arr = await app.$get(`/newCourt/api/user`, { type: '-1' });
        if (arr.errcode == '0') { that.setData({ refereeList: arr.data }) }
        else { wx.showToast({ title: `${arr.errmsg}`, icon: 'error', duration: 2000 }) }
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        const that = this;
        // 监听用户是否登录
        that.watchLogin();
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})