const app = getApp()
import WxValidate from '../../utils/wxValidate';
Page({
    data: {
        frameStyle: { useTop: false, name: '登录', leftArrow: false, useBar: false },
        // 用户协议
        agree: false,
        // 微信登录
        wechat: '/image/wechat.png',
        form: {}
    },
    initValidate() {
        const rules = { phone: { required: true }, password: { required: true } }
        // 验证字段的提示信息，若不传则调用默认的信息
        const messages = { phone: { required: '请输入账号' }, password: { required: '请输入密码' } };
        this.WxValidate = new WxValidate(rules, messages)
    },
    // 公共跳转
    toCommon: function (e) {
        // 同意协议
        const { route } = e.currentTarget.dataset;
        if (route) wx.navigateTo({ url: `/pages/${route}` });
    },
    // 同意
    changeAgree: function () {
        const that = this;
        if (that.data.agree) that.setData({ agree: false })
        else that.setData({ agree: true })
    },
    // 登录
    toLogin: async function (e) {
        const that = this;
        const params = e.detail.value;
        if (!this.WxValidate.checkForm(params)) {
            const error = this.WxValidate.errorList[0];
            wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
            return false
        } else {
            if (that.data.agree) {
                // const arr = await app.$post(`/api/live/v1/personal/login`, params);
                // if (arr.errcode == '0') {
                //     wx.showToast({ title: `登录成功`, icon: 'success', duration: 2000 })
                //     wx.setStorage({ key: 'user', data: arr.data });
                //     wx.redirectTo({ url: `/pages/home/index` })
                // } else {
                //     wx.showToast({ title: `${arr.errmsg}`, icon: 'error', duration: 2000 })
                // }
            } else { wx.showToast({ title: `请同意用户协议`, icon: 'fail', duration: 2000 }); }
        }
    },
    // 微信登陆
    wxLogin: function (e) {
        wx.showModal({
            title: '提示',
            content: '您确认要使用微信登录系统吗？',
            success(res) {
                if (res.confirm) {
                    console.log('用户点击确定')
                } else if (res.cancel) {
                    console.log('用户点击取消')
                }
            }
        })
        注意
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        //验证规则函数
        that.initValidate();
    },
    // 监听用户是否登录
    watchLogin: async function () {
        wx.getStorage({
            key: 'user',
            success: async res => { },
            fail: async res => { }
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        const that = this;
        // 监听用户是否登录
        that.watchLogin();
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})