const app = getApp()
import WxValidate from '../../utils/wxValidate';
const { gender } = require('../../utils/dict')
Page({
    data: {
        frameStyle: { useTop: true, name: '注册', leftArrow: true, useBar: false },
        form: { icon: [] },
        // 性别
        genderList: gender
    },
    initValidate() {
        const rules = { account: { required: false }, password: { required: false }, nickname: { required: false }, gender: { required: false }, email: { required: false }, address: { required: false } }
        // 验证字段的提示信息，若不传则调用默认的信息
        const messages = { account: { required: '请输入账号' }, password: { required: '请输入密码' }, nickname: { required: '请输入昵称' }, gender: { required: '请选择性别' }, email: { required: '请输入邮箱' }, address: { required: '请输入地址' } };
        this.WxValidate = new WxValidate(rules, messages)
    },
    back: function () {
        wx.navigateBack({ delta: 1 })
    },
    // 上传图片
    imgUpl: function (e) {
        const that = this;
        let data = that.data.form.icon;
        data.push(e.detail)
        that.setData({ 'form.icon': data })
    },
    // 删除图片
    imgDel: function (e) {
        const that = this;
        let list = that.data.form.icon;
        let arr = list.filter((i, index) => index != e.detail.index)
        that.setData({ 'form.icon': arr })
    },
    // 选择性别
    genderChange: function (e) {
        const that = this;
        let data = that.data.genderList[e.detail.value];
        if (data) that.setData({ 'form.gender': data.value });
    },
    // 公共跳转
    toCommon: function (e) {
        // 登录
        const { route } = e.currentTarget.dataset;
        if (route) wx.navigateTo({ url: `/pages/${route}` });
    },
    // 登录
    toRegister: function (e) {
        const that = this;
        const form = that.data.form;
        const params = e.detail.value;
        if (!this.WxValidate.checkForm(params)) {
            const error = this.WxValidate.errorList[0];
            wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
            return false
        } else {
            console.log(params);
            console.log(form);
        }
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        //验证规则函数
        that.initValidate();
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})